Subject: [core] draft-ietf-core-resource-directory = GET /rd

From: Jim Schaad <[email-masked]>
Date: Wed, 30 Aug 2017 18:59:44 -0700

I am wondering if there should be a GET action defined against the resource
directory object.  Currently, if an entity does a registration for an
endpoint it gets back a location for that registration.  If a second entity
modifies the endpoint and wants to update the registration, it currently has
no method to get the location associated with the endpoint and cannot make a
second new registration since the <domain, endpoint> pair is required to be
unique.

Thus

Interaction: EP -> RD
Method: GET
URI Template: {+rd}{?ep,d}

Content-Format: application/link-format (or variants)

<rd/0099>;ep=endpoint1,<rd/0098>;ep=endpoint1;domain=beta, ...

Jim